<template>
  <nav>
    <nuxt-link v-for="(link, i) in links" :key="i" :to="link.route" class="link" v-ripple="rippleColor">{{link.title}}</nuxt-link>
  </nav>
</template>

<script>
export default {
  name: "TheHeaderNavigation",
  props: {
    light: {
      type: Boolean,
      default: false
    }
  },
  computed: {
    links() {
      return this.$store.getters['settings/getNavigationLinks'];
    },
    rippleColor() {
      return this.light ? 'rgba(0, 0, 0, 0.2)' : 'rgba(255, 255, 255, 0.2)'; 
    }
  }
};
</script>

<style lang="stylus" scoped>
@import '~assets/styles/variables';

nav
  display flex
  align-items stretch

.link 
  display flex
  align-items center 
  padding $header-link-padding
  position relative
  transition all 0.2s
  &:hover
    color $primary
 </style>
